/*
 *   This is the header file CONV51.H
 */

#ifdef __C251__     // __C251__ is a define of C251
#define DRAM  data  // data can be mapped directly to the 251 data space
#define IRAM  near  // idata uses MOV Ri, use 251 near instead
#define XRAM  near  // xdata uses MOVX or MOV @DR56, use 251 near instead
#define PRAM  near  // pdata uses MOVX Ri, use 251 near instead
#define CROM  const // code uses MOVC A, use 251 const instead
#else
#define DRAM  data  // if you compile with C51 the memory spaces are
#define IRAM  idata // mapped to the previous definitions
#define XRAM  xdata
#define PRAM  pdata
#define CROM  code
#endif
